Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Gammu Fatal repository when updating to gammu 1.41 #506

Open
nisanurrr opened this issue Dec 12, 2019 · 0 comments
Open

Gammu Fatal repository when updating to gammu 1.41 #506

nisanurrr opened this issue Dec 12, 2019 · 0 comments

Comments

@nisanurrr
Copy link

@nisanurrr nisanurrr commented Dec 12, 2019

Hello,
I am using Ubuntu server 16.04 and installing gammu and gammu-smsd. I got gammu 1.37 version and gammu-smsd 1.37 version. I have followed most step that was explained on the web and I can send text via gammu. However as I tried to make mysql as the backend server, the status of gammu-smsd is failed. Here I show you the log file:

blankidea@SMSGateway:~/gammu-1.41.0$ sudo tail -f /var/log/gammu/gammusmsd.log
Thu 2019/12/12 13:43:00 gammu-smsd[8221]: Warning: No PIN code in /etc/gammu-smsdrc file
Thu 2019/12/12 13:43:00 gammu-smsd[8223]: Connected to Database: smsgammu on localhost
Thu 2019/12/12 13:43:00 gammu-smsd[8223]: Database structure is from newer Gammu version
Thu 2019/12/12 13:43:00 gammu-smsd[8223]: Please update Gammu to use this database
Thu 2019/12/12 13:43:00 gammu-smsd[8223]: Initialisation failed, stopping Gammu smsd: Invalid database version. (DB_VERSION[74])
Thu 2019/12/12 13:43:13 gammu-smsd[8256]: Warning: No PIN code in /etc/gammu-smsdrc file
Thu 2019/12/12 13:43:13 gammu-smsd[8258]: Connected to Database: smsgammu on localhost
Thu 2019/12/12 13:43:13 gammu-smsd[8258]: Database structure is from newer Gammu version
Thu 2019/12/12 13:43:13 gammu-smsd[8258]: Please update Gammu to use this database
Thu 2019/12/12 13:43:13 gammu-smsd[8258]: Initialisation failed, stopping Gammu smsd: Invalid database version. (DB_VERSION[74])

I have also tried to update gammu into the newest which I believe it is 1.41 version by downloading .tar file and run:

./admin/make-release

as well as

./admin/make-release branch

but the come out is like this:

blankidea@SMSGateway:~/gammu-1.41.0$ sudo ./admin/make-release branch
Working in /tmp/gammu-build-3tVPFE
Creating release 1.41.0 from HEAD
fatal: repository '/home/blankidea/gammu-1.41.0' does not exist

So I tried to add repository like this:

blankidea@SMSGateway:~/gammu-1.41.0$ sudo add-apt-repository ppa:nijel/ppa
Cannot add PPA: 'ppa:~nijel/ubuntu/ppa'.
The user named '~nijel' has no PPA named 'ubuntu/ppa'
Please choose from the following available PPAs:

I have been stuck all day, and I need help. where can I get the repository of gammu?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
1 participant
You can’t perform that action at this time.